package CHAPTER05;

class Person6 {
    String name;

    Person6(String name) {
        this.name = name;
    }
}
public class C5_31_ForceGarbageCollection {
	public static void main(String[] args) {
        // "절세미인"를 저장하는 Person 객체 생성 및 참조
        Person6 p = new Person6("절세미인");

        // p에 null을 할당하여 기존 객체에 대한 참조 제거
        p = null;

        // 가비지 컬렉션 실행 요청 (하지만 즉시 실행이 보장되지 않음)
        System.gc();
        System.out.println("GC 요청됨");
    }
}
